diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/network/utils/ipv6-address.cc ns-3.34/src/network/utils/ipv6-address.cc
--- ns-3.33/src/network/utils/ipv6-address.cc	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/network/utils/ipv6-address.cc	2021-07-14 10:31:07.000000000 -0700
@@ -375,19 +375,19 @@
 
   if (Mac64Address::IsMatchingType (addr))
     {
-      ipv6Addr = Ipv6Address::MakeAutoconfiguredAddress (Mac64Address::ConvertFrom (addr), Ipv6Address (prefix) );
+      ipv6Addr = Ipv6Address::MakeAutoconfiguredAddress (Mac64Address::ConvertFrom (addr), prefix);
     }
   else if (Mac48Address::IsMatchingType (addr))
     {
-      ipv6Addr = Ipv6Address::MakeAutoconfiguredAddress (Mac48Address::ConvertFrom (addr), Ipv6Address (prefix));
+      ipv6Addr = Ipv6Address::MakeAutoconfiguredAddress (Mac48Address::ConvertFrom (addr), prefix);
     }
   else if (Mac16Address::IsMatchingType (addr))
     {
-      ipv6Addr = Ipv6Address::MakeAutoconfiguredAddress (Mac16Address::ConvertFrom (addr), Ipv6Address (prefix) );
+      ipv6Addr = Ipv6Address::MakeAutoconfiguredAddress (Mac16Address::ConvertFrom (addr), prefix);
     }
   else if (Mac8Address::IsMatchingType (addr))
     {
-      ipv6Addr = Ipv6Address::MakeAutoconfiguredAddress (Mac8Address::ConvertFrom (addr), Ipv6Address (prefix) );
+      ipv6Addr = Ipv6Address::MakeAutoconfiguredAddress (Mac8Address::ConvertFrom (addr), prefix);
     }
 
   if (ipv6Addr.IsAny ())
@@ -397,6 +397,12 @@
   return ipv6Addr;
 }
 
+Ipv6Address Ipv6Address::MakeAutoconfiguredAddress (Address addr, Ipv6Prefix prefix)
+{
+  Ipv6Address ipv6PrefixAddr = Ipv6Address::GetOnes ().CombinePrefix(prefix);
+  return MakeAutoconfiguredAddress (addr, ipv6PrefixAddr);
+}
+
 Ipv6Address Ipv6Address::MakeAutoconfiguredAddress (Mac16Address addr, Ipv6Address prefix)
 {
   NS_LOG_FUNCTION (addr << prefix);
@@ -728,8 +734,8 @@
 bool Ipv6Address::IsIpv4MappedAddress () const
 {
   NS_LOG_FUNCTION (this);
-  uint8_t v4MappedPrefix[12] = { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
-                                 0x00, 0x00, 0xff, 0xff };
+  static uint8_t v4MappedPrefix[12] = { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+                                        0x00, 0x00, 0xff, 0xff };
   if (memcmp(m_address, v4MappedPrefix, sizeof(v4MappedPrefix)) == 0)
     {
       return (true);
@@ -760,14 +766,9 @@
 bool Ipv6Address::IsSolicitedMulticast () const
 {
   NS_LOG_FUNCTION (this);
-  uint8_t buf[16];
-
-  Serialize (buf);
 
-  if (buf[0] == 0xff && 
-      buf[1] == 0x02 &&
-      buf[11] == 0x01 &&
-      buf[12] == 0xff)
+  static Ipv6Address documentation ("ff02::1:ff00:0");
+  if (CombinePrefix (Ipv6Prefix (104)) == documentation)
     {
       return true;
     }
@@ -804,8 +805,8 @@
 bool Ipv6Address::IsDocumentation () const
 {
   NS_LOG_FUNCTION (this);
-  Ipv6Address documentation ("2001:db8::0");
-  if (((Ipv6Address*)this)->CombinePrefix (Ipv6Prefix (32)) == documentation)
+  static Ipv6Address documentation ("2001:db8::0");
+  if (CombinePrefix (Ipv6Prefix (32)) == documentation)
     {
       return true;
     }
@@ -916,8 +917,8 @@
 bool Ipv6Address::IsLinkLocal () const
 {
   NS_LOG_FUNCTION (this);
-  Ipv6Address linkLocal ("fe80::0");
-  if (!IsMulticast () && ((Ipv6Address*)this)->CombinePrefix (Ipv6Prefix (64)) == linkLocal)
+  static Ipv6Address linkLocal ("fe80::0");
+  if (CombinePrefix (Ipv6Prefix (64)) == linkLocal)
     {
       return true;
     }
@@ -1106,6 +1107,15 @@
   memcpy (buf, m_prefix, 16);
 }
 
+Ipv6Address Ipv6Prefix::ConvertToIpv6Address () const
+{
+  uint8_t prefixBytes[16];
+  memcpy (prefixBytes, m_prefix, 16);
+
+  Ipv6Address convertedPrefix = Ipv6Address (prefixBytes);
+  return convertedPrefix;
+}
+
 uint8_t Ipv6Prefix::GetPrefixLength () const
 {
   NS_LOG_FUNCTION (this);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/network/utils/ipv6-address.h ns-3.34/src/network/utils/ipv6-address.h
--- ns-3.33/src/network/utils/ipv6-address.h	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/network/utils/ipv6-address.h	2021-07-14 10:31:07.000000000 -0700
@@ -155,6 +155,18 @@
   static Ipv6Address MakeAutoconfiguredAddress (Address addr, Ipv6Address prefix);
 
   /**
+   * \brief Make the autoconfigured IPv6 address from a Mac address.
+   *
+   * Actually the MAC supported are: Mac8, Mac16, Mac48, and Mac64.
+   *
+   * \param addr the MAC address.
+   * \param prefix the IPv6 prefix
+   * \return autoconfigured IPv6 address
+   */
+
+  static Ipv6Address MakeAutoconfiguredAddress (Address addr, Ipv6Prefix prefix);
+
+  /**
    * \brief Make the autoconfigured IPv6 address with Mac16Address.
    *
    * The EUI-64 scheme used is based on the \RFC{4944}.
@@ -394,7 +406,6 @@
   /**
    * \brief Get the bytes corresponding to the address.
    * \param buf buffer to store the data
-   * \return bytes of the address
    */
   void GetBytes (uint8_t buf[16]) const;
 
@@ -533,6 +544,12 @@
   void GetBytes (uint8_t buf[16]) const;
 
   /**
+   * \brief Convert the Prefix into an IPv6 Address.
+   * \return an IPv6 address representing the prefix
+   */
+  Ipv6Address ConvertToIpv6Address () const;
+
+  /**
    * \brief Get prefix length.
    * \return prefix length
    */
@@ -685,11 +702,11 @@
  * \class Ipv6AddressHash
  * \brief Hash function class for IPv6 addresses.
  */
-class Ipv6AddressHash : public std::unary_function<Ipv6Address, size_t>
+class Ipv6AddressHash
 {
 public:
   /**
-   * \brief Unary operator to hash IPv6 address.
+   * \brief Returns the hash of an IPv6 address.
    * \param x IPv6 address to hash
    * \returns the hash of the address
    */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/network/utils/lollipop-counter.h ns-3.34/src/network/utils/lollipop-counter.h
--- ns-3.33/src/network/utils/lollipop-counter.h	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/network/utils/lollipop-counter.h	2021-07-14 10:31:07.000000000 -0700
@@ -136,7 +136,7 @@
   }
 
   /**
-   * Checks if two counters are comparable (i.e., not desynchronized).
+   * Checks if the counter is comparable with another counter (i.e., not desynchronized).
    *
    * If the absolute magnitude of difference of the two
    * sequence counters is greater than Sequence Window, then a
@@ -146,7 +146,8 @@
    * Sequence Window is equal to 2^N where N is (by default) half the number
    * of digits of the underlying type.
    *
-   * \returns true if the two counters are comparable.
+   * \param val counter to compare
+   * \returns true if the counters are comparable.
    */
   bool IsComparable (const LollipopCounter &val) const
   {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/network/utils/mac16-address.h ns-3.34/src/network/utils/mac16-address.h
--- ns-3.33/src/network/utils/mac16-address.h	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/network/utils/mac16-address.h	2021-07-14 10:31:07.000000000 -0700
@@ -110,6 +110,7 @@
    * bits 3-7 within DST[15].  The initial 3-bit pattern of "100" follows
    * the 16-bit address format for multicast addresses (Section 12).
    *
+   * \param address base IPv6 address
    * \returns the multicast 16-bit address.
    */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/network/utils/pcap-file.h ns-3.34/src/network/utils/pcap-file.h
--- ns-3.33/src/network/utils/pcap-file.h	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/network/utils/pcap-file.h	2021-07-14 10:31:07.000000000 -0700
@@ -111,8 +111,6 @@
    * \param nanosecMode Flag indicating the time resolution of the writing
    * system. Default to false.
    *
-   * \return false if the open succeeds, true otherwise.
-   *
    * \warning Calling this method on an existing file will result in the loss
    * any existing data.
    */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/network/utils/queue.h ns-3.34/src/network/utils/queue.h
--- ns-3.33/src/network/utils/queue.h	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/network/utils/queue.h	2021-07-14 10:31:07.000000000 -0700
@@ -271,14 +271,14 @@
 
   /**
    * Remove an item from the Queue (each subclass defines the position),
-   * counting it as dequeued
+   * counting it and tracing it as dequeued
    * \return 0 if the operation was not successful; the item otherwise.
    */
   virtual Ptr<Item> Dequeue (void) = 0;
 
   /**
    * Remove an item from the Queue (each subclass defines the position),
-   * counting it as dropped
+   * counting it and tracing it as both dequeued and dropped
    * \return 0 if the operation was not successful; the item otherwise.
    */
   virtual Ptr<Item>  Remove (void) = 0;
@@ -291,7 +291,9 @@
   virtual Ptr<const Item> Peek (void) const = 0;
 
   /**
-   * Flush the queue.
+   * Flush the queue by calling Remove() on each item enqueued.  Note that
+   * this operation will cause dequeue and drop counts to be incremented and
+   * traces to be triggered for each Remove() action.
    */
   void Flush (void);
 
@@ -371,13 +373,22 @@
 
   /**
    * Push an item in the queue
-   * \param pos the position where the item is inserted
+   * \param pos the position before which the item will be inserted
    * \param item the item to enqueue
    * \return true if success, false if the packet has been dropped.
    */
   bool DoEnqueue (ConstIterator pos, Ptr<Item> item);
 
   /**
+   * Push an item in the queue
+   * \param pos the position before which the item will be inserted
+   * \param item the item to enqueue
+   * \param[out] ret an iterator pointing to the inserted value
+   * \return true if success, false if the packet has been dropped.
+   */
+  bool DoEnqueue (ConstIterator pos, Ptr<Item> item, Iterator& ret);
+
+  /**
    * Pull the item to dequeue from the queue
    * \param pos the position of the item to dequeue
    * \return the item.
@@ -418,6 +429,8 @@
    */
   void DropAfterDequeue (Ptr<Item> item);
 
+  void DoDispose (void) override;
+
 private:
   std::list<Ptr<Item> > m_packets;          //!< the items in the queue
   NS_LOG_TEMPLATE_DECLARE;                  //!< the log component
@@ -481,6 +494,14 @@
 bool
 Queue<Item>::DoEnqueue (ConstIterator pos, Ptr<Item> item)
 {
+  Iterator ret;
+  return DoEnqueue (pos, item, ret);
+}
+
+template <typename Item>
+bool
+Queue<Item>::DoEnqueue (ConstIterator pos, Ptr<Item> item, Iterator& ret)
+{
   NS_LOG_FUNCTION (this << item);
 
   if (GetCurrentSize () + item > GetMaxSize ())
@@ -490,7 +511,7 @@
       return false;
     }
 
-  m_packets.insert (pos, item);
+  ret = m_packets.insert (pos, item);
 
   uint32_t size = item->GetSize ();
   m_nBytes += size;
@@ -578,6 +599,15 @@
 }
 
 template <typename Item>
+void
+Queue<Item>::DoDispose (void)
+{
+  NS_LOG_FUNCTION (this);
+  m_packets.clear ();
+  Object::DoDispose ();
+}
+
+template <typename Item>
 Ptr<const Item>
 Queue<Item>::DoPeek (ConstIterator pos) const
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/network/utils/radiotap-header.cc ns-3.34/src/network/utils/radiotap-header.cc
--- ns-3.33/src/network/utils/radiotap-header.cc	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/network/utils/radiotap-header.cc	2021-07-14 10:31:07.000000000 -0700
@@ -872,11 +872,11 @@
 }
 
 void
-RadiotapHeader::SetHeMuPerUserFields (uint16_t per_user_1, uint16_t per_user_2, uint8_t perUserPosition, uint8_t perUserKnown)
+RadiotapHeader::SetHeMuPerUserFields (uint16_t perUser1, uint16_t perUser2, uint8_t perUserPosition, uint8_t perUserKnown)
 {
-  NS_LOG_FUNCTION (this << per_user_1 << per_user_2 << +perUserPosition << +perUserKnown);
-  m_heMuPerUser1 = per_user_1;
-  m_heMuPerUser2 = per_user_2;
+  NS_LOG_FUNCTION (this << perUser1 << perUser2 << +perUserPosition << +perUserKnown);
+  m_heMuPerUser1 = perUser1;
+  m_heMuPerUser2 = perUser2;
   m_heMuPerUserPosition = perUserPosition;
   m_heMuPerUserKnown = perUserKnown;
   if (!(m_present & RADIOTAP_HE_MU_OTHER_USER))
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/network/utils/radiotap-header.h ns-3.34/src/network/utils/radiotap-header.h
--- ns-3.33/src/network/utils/radiotap-header.h	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/network/utils/radiotap-header.h	2021-07-14 10:31:07.000000000 -0700
@@ -429,7 +429,7 @@
    * @param perUserPosition The per_user_position field.
    * @param perUserKnown The per_user_known field.
    */
-  void SetHeMuPerUserFields (uint16_t per_user_1, uint16_t per_user_2, uint8_t perUserPosition, uint8_t perUserKnown);
+  void SetHeMuPerUserFields (uint16_t perUser1, uint16_t perUser2, uint8_t perUserPosition, uint8_t perUserKnown);
 
 private:
   /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/network/utils/simple-net-device.cc ns-3.34/src/network/utils/simple-net-device.cc
--- ns-3.33/src/network/utils/simple-net-device.cc	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/network/utils/simple-net-device.cc	2021-07-14 10:31:07.000000000 -0700
@@ -539,7 +539,7 @@
   m_channel = 0;
   m_node = 0;
   m_receiveErrorModel = 0;
-  m_queue->Flush ();
+  m_queue->Dispose ();
   if (FinishTransmissionEvent.IsRunning ())
     {
       FinishTransmissionEvent.Cancel ();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/network/wscript ns-3.34/src/network/wscript
--- ns-3.33/src/network/wscript	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/network/wscript	2021-07-14 10:31:07.000000000 -0700
@@ -24,6 +24,8 @@
         'model/tag-buffer.cc',
         'model/trailer.cc',
         'utils/address-utils.cc',
+        'utils/bit-deserializer.cc',
+        'utils/bit-serializer.cc',
         'utils/crc32.cc',
         'utils/data-rate.cc',
         'utils/drop-tail-queue.cc',
@@ -74,6 +76,7 @@
 
     network_test = bld.create_ns3_module_test_library('network')
     network_test.source = [
+        'test/bit-serializer-test.cc',
         'test/buffer-test.cc',
         'test/drop-tail-queue-test-suite.cc',
         'test/error-model-test-suite.cc',
@@ -118,6 +121,8 @@
         'model/tag-buffer.h',
         'model/trailer.h',
         'utils/address-utils.h',
+        'utils/bit-deserializer.h',
+        'utils/bit-serializer.h',
         'utils/crc32.h',
         'utils/data-rate.h',
         'utils/drop-tail-queue.h',
@@ -151,7 +156,6 @@
         'utils/net-device-queue-interface.h',
         'utils/radiotap-header.h',
         'utils/sequence-number.h',
-        'utils/sgi-hashmap.h',
         'utils/simple-channel.h',
         'utils/simple-net-device.h',
         'utils/sll-header.h',
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/nix-vector-routing/bindings/modulegen__gcc_ILP32.py ns-3.34/src/nix-vector-routing/bindings/modulegen__gcc_ILP32.py
--- ns-3.33/src/nix-vector-routing/bindings/modulegen__gcc_ILP32.py	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/nix-vector-routing/bindings/modulegen__gcc_ILP32.py	2021-07-14 10:31:07.000000000 -0700
@@ -85,6 +85,8 @@
     module.add_class('Ipv4Address', import_from_module='ns.network')
     ## ipv4-address.h (module 'network'): ns3::Ipv4Address [class]
     root_module['ns3::Ipv4Address'].implicitly_converts_to(root_module['ns3::Address'])
+    ## ipv4-address.h (module 'network'): ns3::Ipv4AddressHash [class]
+    module.add_class('Ipv4AddressHash', import_from_module='ns.network')
     ## ipv4-interface-address.h (module 'internet'): ns3::Ipv4InterfaceAddress [class]
     module.add_class('Ipv4InterfaceAddress', import_from_module='ns.internet')
     ## ipv4-interface-address.h (module 'internet'): ns3::Ipv4InterfaceAddress::InterfaceAddressScope_e [enumeration]
@@ -97,6 +99,8 @@
     module.add_class('Ipv6Address', import_from_module='ns.network')
     ## ipv6-address.h (module 'network'): ns3::Ipv6Address [class]
     root_module['ns3::Ipv6Address'].implicitly_converts_to(root_module['ns3::Address'])
+    ## ipv6-address.h (module 'network'): ns3::Ipv6AddressHash [class]
+    module.add_class('Ipv6AddressHash', import_from_module='ns.network')
     ## ipv6-address.h (module 'network'): ns3::Ipv6Prefix [class]
     module.add_class('Ipv6Prefix', import_from_module='ns.network')
     ## log.h (module 'core'): ns3::LogComponent [class]
@@ -503,10 +507,12 @@
     register_Ns3Inet6SocketAddress_methods(root_module, root_module['ns3::Inet6SocketAddress'])
     register_Ns3InetSocketAddress_methods(root_module, root_module['ns3::InetSocketAddress'])
     register_Ns3Ipv4Address_methods(root_module, root_module['ns3::Ipv4Address'])
+    register_Ns3Ipv4AddressHash_methods(root_module, root_module['ns3::Ipv4AddressHash'])
     register_Ns3Ipv4InterfaceAddress_methods(root_module, root_module['ns3::Ipv4InterfaceAddress'])
     register_Ns3Ipv4Mask_methods(root_module, root_module['ns3::Ipv4Mask'])
     register_Ns3Ipv4RoutingHelper_methods(root_module, root_module['ns3::Ipv4RoutingHelper'])
     register_Ns3Ipv6Address_methods(root_module, root_module['ns3::Ipv6Address'])
+    register_Ns3Ipv6AddressHash_methods(root_module, root_module['ns3::Ipv6AddressHash'])
     register_Ns3Ipv6Prefix_methods(root_module, root_module['ns3::Ipv6Prefix'])
     register_Ns3LogComponent_methods(root_module, root_module['ns3::LogComponent'])
     register_Ns3Mac48Address_methods(root_module, root_module['ns3::Mac48Address'])
@@ -1524,6 +1530,18 @@
                    [param('char const *', 'address')])
     return
 
+def register_Ns3Ipv4AddressHash_methods(root_module, cls):
+    ## ipv4-address.h (module 'network'): ns3::Ipv4AddressHash::Ipv4AddressHash() [constructor]
+    cls.add_constructor([])
+    ## ipv4-address.h (module 'network'): ns3::Ipv4AddressHash::Ipv4AddressHash(ns3::Ipv4AddressHash const & arg0) [constructor]
+    cls.add_constructor([param('ns3::Ipv4AddressHash const &', 'arg0')])
+    ## ipv4-address.h (module 'network'): size_t ns3::Ipv4AddressHash::operator()(ns3::Ipv4Address const & x) const [member operator]
+    cls.add_method('operator()', 
+                   'size_t', 
+                   [param('ns3::Ipv4Address const &', 'x')], 
+                   custom_name='__call__', is_const=True)
+    return
+
 def register_Ns3Ipv4InterfaceAddress_methods(root_module, cls):
     cls.add_output_stream_operator()
     cls.add_binary_comparison_operator('==')
@@ -1855,6 +1873,11 @@
                    'ns3::Ipv6Address', 
                    [param('ns3::Address', 'addr'), param('ns3::Ipv6Address', 'prefix')], 
                    is_static=True)
+    ## ipv6-address.h (module 'network'): static ns3::Ipv6Address ns3::Ipv6Address::MakeAutoconfiguredAddress(ns3::Address addr, ns3::Ipv6Prefix prefix) [member function]
+    cls.add_method('MakeAutoconfiguredAddress', 
+                   'ns3::Ipv6Address', 
+                   [param('ns3::Address', 'addr'), param('ns3::Ipv6Prefix', 'prefix')], 
+                   is_static=True)
     ## ipv6-address.h (module 'network'): static ns3::Ipv6Address ns3::Ipv6Address::MakeAutoconfiguredAddress(ns3::Mac16Address addr, ns3::Ipv6Address prefix) [member function]
     cls.add_method('MakeAutoconfiguredAddress', 
                    'ns3::Ipv6Address', 
@@ -1930,6 +1953,18 @@
                    [param('uint8_t *', 'address')])
     return
 
+def register_Ns3Ipv6AddressHash_methods(root_module, cls):
+    ## ipv6-address.h (module 'network'): ns3::Ipv6AddressHash::Ipv6AddressHash() [constructor]
+    cls.add_constructor([])
+    ## ipv6-address.h (module 'network'): ns3::Ipv6AddressHash::Ipv6AddressHash(ns3::Ipv6AddressHash const & arg0) [constructor]
+    cls.add_constructor([param('ns3::Ipv6AddressHash const &', 'arg0')])
+    ## ipv6-address.h (module 'network'): size_t ns3::Ipv6AddressHash::operator()(ns3::Ipv6Address const & x) const [member operator]
+    cls.add_method('operator()', 
+                   'size_t', 
+                   [param('ns3::Ipv6Address const &', 'x')], 
+                   custom_name='__call__', is_const=True)
+    return
+
 def register_Ns3Ipv6Prefix_methods(root_module, cls):
     cls.add_output_stream_operator()
     cls.add_binary_comparison_operator('==')
@@ -1950,6 +1985,11 @@
     cls.add_constructor([param('ns3::Ipv6Prefix const &', 'prefix')])
     ## ipv6-address.h (module 'network'): ns3::Ipv6Prefix::Ipv6Prefix(ns3::Ipv6Prefix const * prefix) [constructor]
     cls.add_constructor([param('ns3::Ipv6Prefix const *', 'prefix')])
+    ## ipv6-address.h (module 'network'): ns3::Ipv6Address ns3::Ipv6Prefix::ConvertToIpv6Address() const [member function]
+    cls.add_method('ConvertToIpv6Address', 
+                   'ns3::Ipv6Address', 
+                   [], 
+                   is_const=True)
     ## ipv6-address.h (module 'network'): void ns3::Ipv6Prefix::GetBytes(uint8_t * buf) const [member function]
     cls.add_method('GetBytes', 
                    'void', 
@@ -3571,8 +3611,8 @@
 def register_Ns3Ipv4NixVectorHelper_methods(root_module, cls):
     ## ipv4-nix-vector-helper.h (module 'nix-vector-routing'): ns3::Ipv4NixVectorHelper::Ipv4NixVectorHelper() [constructor]
     cls.add_constructor([])
-    ## ipv4-nix-vector-helper.h (module 'nix-vector-routing'): ns3::Ipv4NixVectorHelper::Ipv4NixVectorHelper(ns3::Ipv4NixVectorHelper const & arg0) [constructor]
-    cls.add_constructor([param('ns3::Ipv4NixVectorHelper const &', 'arg0')])
+    ## ipv4-nix-vector-helper.h (module 'nix-vector-routing'): ns3::Ipv4NixVectorHelper::Ipv4NixVectorHelper(ns3::Ipv4NixVectorHelper const & o) [constructor]
+    cls.add_constructor([param('ns3::Ipv4NixVectorHelper const &', 'o')])
     ## ipv4-nix-vector-helper.h (module 'nix-vector-routing'): ns3::Ipv4NixVectorHelper * ns3::Ipv4NixVectorHelper::Copy() const [member function]
     cls.add_method('Copy', 
                    'ns3::Ipv4NixVectorHelper *', 
@@ -3583,6 +3623,10 @@
                    'ns3::Ptr< ns3::Ipv4RoutingProtocol >', 
                    [param('ns3::Ptr< ns3::Node >', 'node')], 
                    is_const=True, is_virtual=True)
+    ## ipv4-nix-vector-helper.h (module 'nix-vector-routing'): void ns3::Ipv4NixVectorHelper::PrintRoutingPathAt(ns3::Time printTime, ns3::Ptr<ns3::Node> source, ns3::Ipv4Address dest, ns3::Ptr<ns3::OutputStreamWrapper> stream, ns3::Time::Unit unit=::ns3::Time::Unit::S) [member function]
+    cls.add_method('PrintRoutingPathAt', 
+                   'void', 
+                   [param('ns3::Time', 'printTime'), param('ns3::Ptr< ns3::Node >', 'source'), param('ns3::Ipv4Address', 'dest'), param('ns3::Ptr< ns3::OutputStreamWrapper >', 'stream'), param('ns3::Time::Unit', 'unit', default_value='::ns3::Time::Unit::S')])
     return
 
 def register_Ns3Object_methods(root_module, cls):
@@ -4021,10 +4065,10 @@
     cls.add_method('SetPriority', 
                    'void', 
                    [param('uint8_t', 'priority')])
-    ## socket.h (module 'network'): void ns3::Socket::SetRecvCallback(ns3::Callback<void, ns3::Ptr<ns3::Socket>, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty> arg0) [member function]
+    ## socket.h (module 'network'): void ns3::Socket::SetRecvCallback(ns3::Callback<void, ns3::Ptr<ns3::Socket>, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty> receivedData) [member function]
     cls.add_method('SetRecvCallback', 
                    'void', 
-                   [param('ns3::Callback< void, ns3::Ptr< ns3::Socket >, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >', 'arg0')])
+                   [param('ns3::Callback< void, ns3::Ptr< ns3::Socket >, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >', 'receivedData')])
     ## socket.h (module 'network'): void ns3::Socket::SetRecvPktInfo(bool flag) [member function]
     cls.add_method('SetRecvPktInfo', 
                    'void', 
@@ -6410,6 +6454,11 @@
                    'ns3::TypeId', 
                    [], 
                    is_static=True)
+    ## ipv4-nix-vector-routing.h (module 'nix-vector-routing'): void ns3::Ipv4NixVectorRouting::PrintRoutingPath(ns3::Ptr<ns3::Node> source, ns3::Ipv4Address dest, ns3::Ptr<ns3::OutputStreamWrapper> stream, ns3::Time::Unit unit) const [member function]
+    cls.add_method('PrintRoutingPath', 
+                   'void', 
+                   [param('ns3::Ptr< ns3::Node >', 'source'), param('ns3::Ipv4Address', 'dest'), param('ns3::Ptr< ns3::OutputStreamWrapper >', 'stream'), param('ns3::Time::Unit', 'unit')], 
+                   is_const=True)
     ## ipv4-nix-vector-routing.h (module 'nix-vector-routing'): void ns3::Ipv4NixVectorRouting::SetNode(ns3::Ptr<ns3::Node> node) [member function]
     cls.add_method('SetNode', 
                    'void', 
